import argparse


def prefix_path_parser():
    """
    Argument parser for file path prefix argument

    Creates and returns an argument parser for the decoded data file path.

    :return parser: The argument parser
    :type parser: argparse.ArgumentParser
    """
    parser = argparse.ArgumentParser(add_help=False)
    parser.add_argument("--decoded-data-file-path",
                        default="/tmp/.satnogs/data/data")
    parser.add_argument("--file-path",
                        default="/tmp/.satnogs/data/audio.ogg")
    parser.add_argument("--iq-file-path",
                        default="/tmp/.satnogs/data/iq")

    return parser


def zmq_uri_parser():
    """
    Argument parser for ZeroMQ URI

    Creates and returns an argument parser for ZeroMQ URI.
    Parses the IP and the port of the zeroMQ. Default values for IP is
    127.0.0.1 and port 55555.

    :return parser: The argument parser
    :type parser: argparse.ArgumentParser
    """
    parser = argparse.ArgumentParser(add_help=False)
    parser.add_argument("--zmq-dump-host", default="127.0.0.1")
    parser.add_argument("--zmq-dump-port", default=55555)

    return parser
